package hello.rmi.server;

import java.rmi.server.UnicastRemoteObject;
import java.rmi.RemoteException;
import hello.rmi.RemoteHello;

/**
 * Este  o objeto remoto que vamos usar atravs da interface Remote.
 */
public class HelloImpl extends UnicastRemoteObject implements RemoteHello {
    
   private String mensagem; 
   
   // Todos os mtodos geram  Exception
   public HelloImpl(String mensagem) throws RemoteException {
        this.mensagem = mensagem;
   }
   
   public String getMensagem() throws RemoteException {
      return mensagem;
   }
   
   public void setMensagem(String msg) throws RemoteException {
      mensagem = msg;
   }
}
