package hello;

import java.rmi.*;

public interface HelloRpRemote extends Remote {
    
    public String sayHello() throws RemoteException ;
    public void sayThis(String toSay) throws RemoteException;
    
    public NomeRemote getMessage() throws RemoteException ;
    public void setMessage(NomeRemote mensagem) throws RemoteException ;
    
    public CirculoRemote getCirculo() throws RemoteException ;
    public void setCirculo(CirculoRemote circulo) throws RemoteException ;
    
    public CirculoRemote createCirculo(int raio, PontoRemote origem) throws RemoteException;
    public PontoRemote createPonto(int x, int y) throws RemoteException;
    public NomeRemote createNome(String nome) throws RemoteException;
    
}
