package hello;

import java.rmi.*;

public interface HelloRemote extends Remote {
    
    public String sayHello() throws RemoteException ;
    public void sayThis(String toSay) throws RemoteException;
    
    public Nome getMessage() throws RemoteException ;
    public void setMessage(Nome mensagem) throws RemoteException ;
    
    public Circulo getCirculo() throws RemoteException ;
    public void setCirculo(Circulo circulo) throws RemoteException ;
    
    public Circulo createCirculo(int raio, Ponto origem) throws RemoteException;
    public Ponto createPonto(int x, int y) throws RemoteException;
    public Nome createNome(String nome) throws RemoteException;
    
}
