package loja;

import java.math.BigDecimal;

/**
 * EXERCICIO: Transforme este objeto em um objeto remoto.
 */
public class ProdutoImpl {
	
	private String codigo;
	private String nome;
	private BigDecimal preco;
	private int quantidade;

	public ProdutoImpl(String codigo, String nome, BigDecimal preco, int quantidade) {
		System.out.println("ProdutoImpl("+codigo+","+nome+","+preco+","+quantidade+")");
		this.codigo = codigo;
		this.nome = nome;
		this.preco = preco;
		this.quantidade = quantidade;
	}

	public String getCodigo() {
		System.out.println("ProdutoImpl: getCodigo()");
		return codigo;
	}
	public void setCodigo(String codigo) {
		System.out.println("ProdutoImpl: setCodigo("+codigo+")");
		this.codigo = codigo;
	}
	
	public void setNome(String nome) {
		System.out.println("ProdutoImpl: setNome("+nome+")");
		this.nome = nome;
	}
	public String getNome() {
		System.out.println("ProdutoImpl: getNome()");
		return nome;
	}
	
	public void setPreco(BigDecimal preco) {
		System.out.println("ProdutoImpl: setPreco("+preco+")");
		this.preco = preco;
	}
	public BigDecimal getPreco() {
		System.out.println("ProdutoImpl: getPreco()");
		return preco;
	}
	
	public int getQuantidade() {
		System.out.println("ProdutoImpl: getQuantidade()");
		return quantidade;
	}
	public void setQuantidade(int quantidade) {
		System.out.println("ProdutoImpl: setQuantidade("+quantidade+")");
		this.quantidade = quantidade;
	}
	
	public void addItens(int quantidade) {
		System.out.println("ProdutoImpl: addItens("+quantidade+")");
		this.quantidade += quantidade;
	}
	
	public String toString() {
		return "["+codigo+"] " + nome + "($"+preco+"). Estoque: "+quantidade;
	}

}
