package loja;

import java.math.BigDecimal;
import java.rmi.*;

public class ProdutoFactoryImpl extends javax.rmi.PortableRemoteObject
                       			implements ProdutoFactory {
	
	public static int codigos = 100;
	
	public ProdutoFactoryImpl()  throws RemoteException {}
	
	public Produto criar(String nome, BigDecimal preco, int qte)  throws RemoteException {
		System.out.println("ProdutoFactoryImpl.criar("+nome+","+preco+","+qte+")");
		String cod = "" + (++codigos);
		return new ProdutoImpl(cod, nome, preco, qte);
	}
}
