package loja;

import java.rmi.*;
import javax.naming.*;
import java.math.BigDecimal;

import java.awt.event.*;
import java.awt.*;
import javax.swing.*;

/**
 * Esta classe  um servidor que publicar o
 * objeto no ORB.
 */
public class ProdutoServer {

	public static String jndiName = "produtos";
    
    public static void main(String[] args) {       
        
        try {
            // Cria fabrica de produtos remotos
            ProdutoFactory factory = new ProdutoFactoryImpl();
			Context ctx = new InitialContext(); // usa jndi.properties
		    // Registra objeto remoto no ORB (ORB ja deve estar no ar)
			Context subContexto = null;
			try {
				subContexto = (Context)ctx.lookup("loja");
			} catch (NamingException e) {
				subContexto = ctx.createSubcontext("loja");
			}
            subContexto.rebind(jndiName, factory); 
			System.out.println("Servidor no ar, servindo o objeto: loja/" + jndiName);
        } catch (RemoteException e) {
            System.out.println("Problemas no registro do objeto.\n Verifique se o ORBD est rodando dentro do seu CLASSPATH\n"+
                               "e se as classes da aplicao fazem parte do seu CLASSPATH! \n" + e);
        } catch (Exception e) {
			if (e instanceof RuntimeException) throw (RuntimeException)e;
            throw new InternalError("Erro na aplicaao: " + e);
        }
    }
}
